Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class InlineView

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.LabelView
                  |
                  +--javax.swing.text.html.InlineView

public class InlineView
extends LabelView

Displays the inline element styles based upon css attributes.

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Constructor Summary
`InlineView(Element elem)` Constructs a new view wrapped on an element.

Method Summary
`AttributeSet` | `getAttributes()` Fetches the attributes to use when rendering.
`protected StyleSheet` | `getStyleSheet()`
`boolean` | `isVisible()` Returns false if the contents of the view are merely a "\n".
`protected void` | `setPropertiesFromAttributes()` Set the cached properties from the attributes.

Methods inherited from class javax.swing.text.LabelView
`breakView, changedUpdate, createFragment, getAlignment, getBreakWeight, getFont, getFontMetrics, getNextVisualPositionFrom, getPartialSpan, getPreferredSpan, getTabbedSpan, insertUpdate, modelToView, paint, setStrikeThrough, setSubscript, setSuperscript, setUnderline, viewToModel`

Methods inherited from class javax.swing.text.View
`getChildAllocation, getContainer, getDocument, getElement, getEndOffset, getMaximumSpan, getMinimumSpan, getParent, getResizeWeight, getStartOffset, getView, getViewCount, getViewFactory, modelToView, modelToView, preferenceChanged, removeUpdate, setParent, setSize, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineView

    public InlineView(Element elem)

  Constructs a new view wrapped on an element.
  Parameters:
    `elem` - the element

Method Detail

### getAttributes

    public AttributeSet getAttributes()

  Fetches the attributes to use when rendering. This is implemented to multiplex the attributes specified in the model with a StyleSheet.
  Overrides:
    getAttributes in class View

### setPropertiesFromAttributes

    protected void setPropertiesFromAttributes()

  Set the cached properties from the attributes.
  Overrides:
    setPropertiesFromAttributes in class LabelView

### getStyleSheet

    protected StyleSheet getStyleSheet()

### isVisible

    public boolean isVisible()

  Returns false if the contents of the view are merely a "\n". If the contents are merely a newline, it is fair to say that the element corresponding to this view was deliberately inserted for purposes of editing.
  Overrides:
    isVisible in class View

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.